Bug 1242917 - Astronomy Spin
Summary: Astronomy Spin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Dersch
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF24, SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-14 12:07 UTC by Jan Kurik
Modified: 2016-09-29 11:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 11:24:54 UTC
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jan Kurik 2015-07-14 12:07:34 UTC
This is a tracking bug for Change: Astronomy Spin
For more details, see: https://fedoraproject.org//wiki/Changes/Astronomy_Spin

A Fedora Spin providing a complete toolchain for both amateur and professional astronomers.

Comment 1 Jan Kurik 2015-07-14 14:02:44 UTC
This message is a reminder that Fedora 23 Change Checkpoint: Completion deadline (testable) is on 2015-07-28 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 2 Jan Kurik 2015-07-15 13:17:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Christian Dersch 2015-07-19 09:19:10 UTC
To be more conform with Fedora.next, the Spin will be called "Astronomy Lab"

https://fedorahosted.org/council/ticket/35#comment:3

Comment 4 Bruno Wolff III 2015-07-25 15:27:27 UTC
I sent Christian some more information on the spins list. He will need to be added to gitspin-kickstarts in order to do maintenance of the spin and only a few people (not me) can add him to that group.

Comment 5 Christian Dersch 2015-07-27 13:34:48 UTC
Spin submitted and now part of spin-kickstarts. Content for Spins page almost ready.

Comment 6 Christian Dersch 2015-08-04 11:37:51 UTC
I want to move this to Fedora 24. I had an unexpected lack of time for the last two weeks and also haven't filed tickets to design and web teams. As I don't want the Astronomy Spin some kind of "last minute project" I think it is better to move to the next release. For Fedora 23 I will publish a Fedora Astronomy Remix based on the spin, so there also would be more feedback for the official spin.

Greetings,
Christian

Comment 7 Jan Kurik 2015-08-04 13:12:01 UTC
The Change Page [1] has been moved back to ChangePageIncomplete state.
Please propose the Change to the ChangeReadyForWrangler state once the window for accepting F24 Changes will be opened.

[1] https://fedoraproject.org/wiki/Changes/Astronomy_Spin

Comment 8 Parag Nemade 2015-08-05 12:47:48 UTC
I am moving the version to rawhide so that bugzilla query for F23 will give exact approved Change information.

Comment 9 Christian Dersch 2016-01-10 16:07:00 UTC
Added to ChangeReadyForWrangler again, I think it's ready for Fedora 24 :)

Comment 10 Christian Dersch 2016-02-08 13:15:44 UTC
Filed ticket to website team: https://fedorahosted.org/fedora-websites/ticket/371

Comment 11 Christian Dersch 2016-02-23 09:54:29 UTC
Filed ticket to rel-eng: https://fedorahosted.org/rel-eng/ticket/6353

Comment 12 Jan Kurik 2016-04-20 15:01:30 UTC
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 13 Christian Dersch 2016-04-20 15:23:33 UTC
Sorry, I forgot to update the status. Change is complete (and fully testable with Alpha release :) )

Comment 14 Simon Clark 2016-04-25 08:47:32 UTC
I have added release notes text (mainly taken from the change description) to the draft F24 Release Notes here: https://git.fedorahosted.org/cgit/docs/release-notes.git/plain/en-US/Scientific_and_Technical.xml?h=f24&id=5f3e395d16485a012f085f6778dc03f1d98e5b73

Please would you take a look at the draft and let me know if anything should be added or changed?

Comment 15 Christian Dersch 2016-04-25 09:44:53 UTC
Looks nice, thank you :)


Note You need to log in before you can comment on or make changes to this bug.